Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class ErrorLogger

    java.lang.Object
      org.ka2ddo.yaac.core.ErrorLogger

    public class ErrorLogger

extends java.lang.Object

This class contains static methods for reporting errors.

Nested Class Summary
`static class` | `ErrorLogger.ErrorLoggerRunnable` Helper class for transferring error displays to the GUI dispatch thread.

Constructor Summary
`ErrorLogger()`

Method Summary
`static void` | `reportError(java.lang.Object parentWidget, java.lang.String msg)` Report an error message to the user, using the GUI if available.
`static void` | `reportError(java.lang.Object parentWidget, java.lang.String msg, boolean dontBlock)` Report an error message to the user, using the GUI if available.
`static void` | `reportError(java.lang.Object parentWidget, java.lang.Throwable ex, java.lang.String msg)`
`static int` | `reportErrorWithResponse(java.lang.Object parentWidget, java.lang.Throwable ex, java.lang.String msg)`
`static int` | `showConfirmDialog(java.awt.Component parentComponent, java.lang.Throwable ex, java.lang.String title, int messageType)`
`static void` | `showMessageDialog(java.awt.Component parentComponent, java.lang.String msg)`
`static void` | `showMessageDialog(java.awt.Component parentComponent, java.lang.Throwable ex, java.lang.String title, int messageType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorLogger

    public ErrorLogger()

Method Detail

### reportError

    public static void reportError(java.lang.Object parentWidget,
                                   java.lang.Throwable ex,
                                   java.lang.String msg)

### showMessageDialog

    public static void showMessageDialog(java.awt.Component parentComponent,
                                         java.lang.Throwable ex,
                                         java.lang.String title,
                                         int messageType)

### reportError

    public static void reportError(java.lang.Object parentWidget,
                                   java.lang.String msg)

  Report an error message to the user, using the GUI if available. The resulting GUI dialog will be blocking.

  Parameters:
    `parentWidget` - GUI component to locate the popup dialog
    `msg` - text String to display in dialog

### reportError

    public static void reportError(java.lang.Object parentWidget,
                                   java.lang.String msg,
                                   boolean dontBlock)

  Report an error message to the user, using the GUI if available. The resulting GUI dialog will be blocking.

  Parameters:
    `parentWidget` - GUI component to locate the popup dialog
    `msg` - text String to display in dialog
    `dontBlock` - boolean true if dialog should not block access to other windows (or cause stack overflow if more errors are reported)

### showMessageDialog

    public static void showMessageDialog(java.awt.Component parentComponent,
                                         java.lang.String msg)

### reportErrorWithResponse

    public static int reportErrorWithResponse(java.lang.Object parentWidget,
                                              java.lang.Throwable ex,
                                              java.lang.String msg)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Throwable ex,
                                        java.lang.String title,
                                        int messageType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD